## org.apache.maven.shared.repository.model
Class DefaultRepositoryInfo

    java.lang.Object
      org.apache.maven.shared.repository.model.DefaultRepositoryInfo

All Implemented Interfaces:
  RepositoryInfo

    public class DefaultRepositoryInfo

extends java.lang.Object
implements RepositoryInfo

Constructor Summary
`DefaultRepositoryInfo()`

Method Summary
`java.util.List` `getExcludes()`
`java.util.List` `getGroupVersionAlignments()`
`java.util.List` `getIncludes()`
`java.lang.String` `getScope()`
`boolean` `isIncludeMetadata()`
`void` `setExcludes(java.util.List excludes)`
`void` `setGroupVersionAlignments(java.util.List groupVersionAlignments)`
`void` `setIncludeMetadata(boolean includeMetadata)`
`void` `setIncludes(java.util.List includes)`
`void` `setScope(java.lang.String scope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRepositoryInfo

    public DefaultRepositoryInfo()

Method Detail

### getExcludes

    public java.util.List getExcludes()

  Specified by:
    `getExcludes` in interface `RepositoryInfo`

### setGroupVersionAlignments

    public void setGroupVersionAlignments(java.util.List groupVersionAlignments)

### setIncludeMetadata

    public void setIncludeMetadata(boolean includeMetadata)

### setIncludes

    public void setIncludes(java.util.List includes)

### setScope

    public void setScope(java.lang.String scope)

### getGroupVersionAlignments

    public java.util.List getGroupVersionAlignments()

  Specified by:
    `getGroupVersionAlignments` in interface `RepositoryInfo`

### getIncludes

    public java.util.List getIncludes()

  Specified by:
    `getIncludes` in interface `RepositoryInfo`

### getScope

    public java.lang.String getScope()

  Specified by:
    `getScope` in interface `RepositoryInfo`

### isIncludeMetadata

    public boolean isIncludeMetadata()

  Specified by:
    `isIncludeMetadata` in interface `RepositoryInfo`

### setExcludes

    public void setExcludes(java.util.List excludes)

Copyright © 2011. All Rights Reserved.